Play Firmware 2.0 Games on a 1.50 PSP

Before you ask, no you still can’t play GTA:LCS and don’t ask when you’ll be able to or if you can play it on a 1.50 PSP.

Currently the games that are supported (and confirmed) that had the 2.0 perquisite are:

  • The Hustle: Detroit Streets
  • Harvest Moon
  • Pro Evolution Soccer 5

For the original article, updated compatibility list and instructions click on “Visit Site” below.

Have something to tell us about this article?
Let us know

or Comment Below

LOGIN to Comment
LOGIN to Comment

Gaming Trailers

More Like This
Tom Clancy’s Rainbow Six Siege | Wolfguard Squad Teaser
Latest Trailers
Cuphead | The Delicious Last Course | Launch Trailer

Got a tip?

Let us know